%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jacc-1.5-api
Version:          1.0.0
Release:          0.1%{namedreltag}%{dist}
Summary:          JACC 1.5 API (JSR-115)
License:          CDDL or GPLv2 with exceptions
URL:              https://github.com/jboss/jboss-jacc-api_spec
Source0:          https://github.com/jboss/jboss-jacc-api_spec/archive/jboss-jacc-api_1.5_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    junit
BuildRequires:    maven-local
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-provider-junit4

BuildArch:        noarch

Provides:         javax.security.jacc

%description
JSR-000115 Java Authorization Contract for Containers 1.5 API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.5_spec-%{namedversion}

%mvn_file : %{name}/javax.security.jacc %{name}

%build
%mvn_build

%install
%mvn_install

install -d -m 755 %{buildroot}/%{_javadir}/javax.security.jacc

pushd %{buildroot}/%{_javadir}/javax.security.jacc
ln -sf ../%{name}/jboss-jacc-api_1.5_spec.jar .
popd

%files -f .mfiles
%dir %{_javadir}/%{name}
%{_javadir}/javax.security.jacc
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc README LICENSE

%changelog
* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

